package com.ruoyi.k3cloud;

import com.alibaba.fastjson2.JSONObject;
import com.google.gson.Gson;
import com.google.gson.JsonObject;
import com.kingdee.bos.webapi.entity.QueryParam;
import com.kingdee.bos.webapi.entity.RepoRet;
import com.kingdee.bos.webapi.sdk.K3CloudApi;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;

/**
 * @author wjh
 * 2024/10/25
 */
@RestController
@RequestMapping("/k3/test")
public class K3TestController extends BaseController {

    @Autowired
    private K3CloudApi k3CloudApi;

    @GetMapping("/query")
    @Anonymous
    public String test() throws Exception {
        K3CloudApi api = new K3CloudApi();
        JSONObject obj = new JSONObject();
        obj.put("FormId", "PRD_MO");
        obj.put("FieldKeys", "FBillNo,FDocumentStatus");
        obj.put("FilterString", "");
        obj.put("OrderString", "");
        obj.put("TopRowCount", 0);
        obj.put("StartRow", 0);
        obj.put("Limit", 2000);
        obj.put("SubSystemId", "");
        return api.executeBillQueryJson(JSONObject.toJSONString(obj));
    }

    @GetMapping("/del")
    @Anonymous
    public Object del() throws Exception {
        K3CloudApi api = new K3CloudApi();
        String  data = "{\"CreateOrgId\": 0,\"Numbers\": ["+"\"123\""+"],\"Id\": \"\",\"IsSortBySeq\": \"false\"}";
        String result = api.delete("PRD_MO", data);
        Gson gson = new Gson();
        RepoRet repoRet = gson.fromJson(result, RepoRet.class);
        return repoRet;
    }

}
